aboutsummaryrefslogtreecommitdiff
path: root/lint/games.sh
diff options
context:
space:
mode:
Diffstat (limited to 'lint/games.sh')
-rw-r--r--lint/games.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/lint/games.sh b/lint/games.sh
index 6e3e3024..6d51ba0d 100644
--- a/lint/games.sh
+++ b/lint/games.sh
@@ -1 +1,7 @@
-find games -type f -name '*.sh' -print -exec shellcheck -e SC1090 -s sh -- {} +
+# POSIX sh
+set --
+for game in games/*.sh ; do
+ set -- "$@" "${game%.sh}"
+done
+shellcheck -e SC1090 -- "$@" || exit
+printf 'POSIX shell games linted successfully.\n'